nodejs-10.15.3-8.mga7.i586.rpm


Advertisement

Description

nodejs - JavaScript runtime

Property Value
Distribution Mageia 7
Repository Mageia Core i586
Package filename nodejs-10.15.3-8.mga7.i586.rpm
Package name nodejs
Package version 10.15.3
Package release 8.mga7
Package architecture i586
Package type rpm
Category Development/Other
Homepage http://nodejs.org/
License MIT and ASL 2.0 and ISC and BSD
Maintainer -
Download size 92.06 KB
Installed size 310.27 KB
Node.js is a platform built on Chrome's JavaScript runtime
for easily building fast, scalable network applications.
Node.js uses an event-driven, non-blocking I/O model that
makes it lightweight and efficient, perfect for data-intensive
real-time applications that run across distributed devices.

Alternatives

Package Version Architecture Repository
nodejs-10.15.3-8.mga7.x86_64.rpm 10.15.3 x86_64 Mageia Core
nodejs - - -

Requires

Name Value
ca-certificates -
libc.so.6(GLIBC_2.0) -
libcrypto.so.1.1 -
libdl.so.2 -
libgcc_s.so.1 -
libhttp_parser.so.2 -
libicudata.so.63 -
libicui18n.so.63 -
libicuuc.so.63 -
libm.so.6 -
libnghttp2.so.14 -
libnode.so.64 -
libpthread.so.0 -
libpthread.so.0(GLIBC_2.0) -
librt.so.1 -
libssl.so.1.1 -
libstdc++.so.6 -
libuv.so.1 -
libz.so.1 -
nodejs-libs = 10.15.3-8.mga7
npm = 6.4.1-1.10.15.3.8.mga7

Provides

Name Value
bundled(c-ares) = 1.15.0
bundled(icu) = 63.1
bundled(v8) = 6.8.275.32
nodejs = 10.15.3-8.mga7
nodejs(abi) = 10.15
nodejs(abi10) = 10.15
nodejs(engine) = 10.15.3
nodejs(v8-abi) = 6.8
nodejs(v8-abi6) = 6.8
nodejs(x86-32) = 10.15.3-8.mga7
nodejs-punycode = 2.1.0
npm(punycode) = 2.1.0

Conflicts

Name Value
node <= 0.3.2-12

Download

Type URL
Mirror distrib-coffee.ipsl.jussieu.fr
Binary Package nodejs-10.15.3-8.mga7.i586.rpm
Source Package nodejs-10.15.3-8.mga7.src.rpm

Install Howto

  1. Enable the repository in Software Management
  2. Install nodejs rpm package:
    # dnf install nodejs

Files

Path
/usr/bin/node
/usr/lib/.build-id/
/usr/lib/.build-id/36/496b0ae8ac12c4545971f3b4011fa5c54bcf66
/usr/lib/dtrace/node.d
/usr/lib/node_modules/
/usr/lib/rpm/nodejs_native.req
/usr/lib/rpm/fileattrs/nodejs_native.attr
/usr/share/doc/nodejs/AUTHORS
/usr/share/doc/nodejs/CHANGELOG.md
/usr/share/doc/nodejs/COLLABORATOR_GUIDE.md
/usr/share/doc/nodejs/GOVERNANCE.md
/usr/share/doc/nodejs/README.md
/usr/share/licenses/nodejs/LICENSE
/usr/share/man/man1/node.1.xz
/usr/share/node/
/usr/share/systemtap/
/usr/share/systemtap/tapset/node.stp

Changelog

2019-04-22 - kekepower <kekepower> 1:10.15.3-8.mga7
+ Revision: 1394850
- Revert most of the previous changes
- Fixed a typo in a Requires for zlib-devel
2019-04-22 - joequant <joequant> 1:10.15.3-6.mga7
+ Revision: 1394741
- run without bootstrap
- run bootstrap for arm
2019-04-22 - joequant <joequant> 1:10.15.3-4.mga7
+ Revision: 1394683
- build non-bootstrap with 10.15.3
2019-04-22 - joequant <joequant> 1:10.15.3-3.mga7
+ Revision: 1394644
- bootstrap
- fix up broken package
+ kekepower <kekepower>
- Bootstrap build
- Relax BR requirements for http-parser-devel
- Remove Requires for nghttp
2019-04-21 - kekepower <kekepower> 1:10.15.3-2.mga7
+ Revision: 1394478
- Update to version 10.15.3
2019-01-02 - kekepower <kekepower> 1:10.14.2-2.1.mga7
+ Revision: 1348619
- Update to version 10.14.2
2018-12-31 - tv <tv> 1:10.13.0-2.mga7
+ Revision: 1347319
- rebuild with latest icu
2018-11-10 - joequant <joequant> 1:10.13.0-1.mga7
+ Revision: 1329304
- upgrade to 10.13.0
2018-09-04 - joequant <joequant> 1:10.9.0-1.mga7
+ Revision: 1256930
- upgrade to 10.9.0
2018-09-03 - joequant <joequant> 1:8.11.4-1.mga7
+ Revision: 1256748
- use local icu rather than system icu
- rebuild with new libraries
+ tv <tv>
- rebuild for new libicu

See Also

Package Description
nodejs-abbrev-1.0.4-3.mga7.noarch.rpm Abbreviation calculator for Node.js
nodejs-acorn-0.9.0-6.mga7.noarch.rpm ECMAScript parser
nodejs-ajv-6.4.0-3.mga7.noarch.rpm Another JSON Schema Validator
nodejs-align-text-1.0.2-3.mga7.noarch.rpm Align the text in a string
nodejs-amdefine-1.0.1-2.mga7.noarch.rpm Provide AMD's define() API for declaring modules in the AMD format
nodejs-ansi-font-0.0.2-3.mga7.noarch.rpm ANSI font styling utils
nodejs-ansi-regex-3.0.0-2.mga7.noarch.rpm Regular expression for matching ANSI escape codes
nodejs-ansi-styles-2.1.0-5.mga7.noarch.rpm ANSI escape codes for colorizing strings in the terminal
nodejs-anymatch-2.0.0-4.mga7.noarch.rpm Matches strings against configurable strings, globs, regular expressions, and/or functions
nodejs-aproba-1.2.0-2.mga7.noarch.rpm A ridiculously light-weight argument validator (now browser friendly)
nodejs-are-we-there-yet-1.1.4-4.mga7.noarch.rpm Keep track of the overall completion of many disparate processes
nodejs-argparse-1.0.9-1.mga7.noarch.rpm A native port of Python's argparse, an options parsing library
nodejs-arr-diff-4.0.0-2.mga7.noarch.rpm Returns an array with only the unique values from the first array
nodejs-arr-flatten-1.1.0-2.mga7.noarch.rpm Recursively flatten an array or arrays
nodejs-arr-union-3.1.0-2.mga7.noarch.rpm Combines a list of arrays
Advertisement
Advertisement